using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Core.Mes.ClientFrameWork;
using Core.Mes.IBaseInterface;
using System.Data;
using System.Runtime.InteropServices;
using Core.XgMes.Client.JGKC.TurnoffSendManager;

namespace Core.XgMes.Client.JGKC.MaterialManager
{
    public partial class FrmDepotDialog : Mes.ClientFrameWork.FrmBase
    {
        public FrmDepotDialog()
        {
            InitializeComponent();
        }


        public void Init()
        {
            string err = "";
            string sql = "SELECT DEPOTID,DEPOTNAME,DEPOT_LB "

                + "FROM KCJ_DEPOTMAGAGER WHERE 1=1 "
                ;

            DataSet ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { sql }, out err);
            if (err == "")
            {
                ultraGrid1.DataSource = ds;
            }
        }

        public string strckdm = "";
        public string stckmc = "";
        public string strcklb = "";
        private void btrqr_Click(object sender, EventArgs e)
        {
            Infragistics.Win.UltraWinGrid.UltraGridRow row = ultraGrid1.ActiveRow;
            if (row.Selected) return;
            strckdm = row.Cells["DEPOTID"].Value.ToString();
            stckmc = row.Cells["DEPOTNAME"].Value.ToString();
            strcklb = row.Cells["DEPOT_LB"].Value.ToString();
            this.Close();
       
        }

        private void FrmDepotDialog_Load(object sender, EventArgs e)
        {
            Init();
        }

      

    }
}